
package com.tmerclub.cloud.common.bean;

/**
 * 支付宝配置
 * @author tmerclub
 */
public class Alipay {

    private String appId;

    /**
     * 应用公钥证书
     */
    private String appCertPath;

    /**
     * 应用公钥证书内容
     */
    private String appCertContent;

    /**
     * 支付宝公钥证书
     */
    private String alipayCertPath;

    /**
     * 支付宝公钥证书内容
     */
    private String alipayCertContent;

    /**
     * 支付宝根证书
     */
    private String alipayRootCertPath;

    /**
     * 支付宝根证书内容
     */
    private String alipayRootCertContent;

    /**
     * 应用私钥
     */
    private String appPrivateKey;

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppCertPath() {
        return appCertPath;
    }

    public void setAppCertPath(String appCertPath) {
        this.appCertPath = appCertPath;
    }

    public String getAlipayCertPath() {
        return alipayCertPath;
    }

    public void setAlipayCertPath(String alipayCertPath) {
        this.alipayCertPath = alipayCertPath;
    }

    public String getAlipayRootCertPath() {
        return alipayRootCertPath;
    }

    public void setAlipayRootCertPath(String alipayRootCertPath) {
        this.alipayRootCertPath = alipayRootCertPath;
    }

    public String getAppPrivateKey() {
        return appPrivateKey;
    }

    public void setAppPrivateKey(String appPrivateKey) {
        this.appPrivateKey = appPrivateKey;
    }

    public String getAppCertContent() {
        return appCertContent;
    }

    public void setAppCertContent(String appCertContent) {
        this.appCertContent = appCertContent;
    }

    public String getAlipayCertContent() {
        return alipayCertContent;
    }

    public void setAlipayCertContent(String alipayCertContent) {
        this.alipayCertContent = alipayCertContent;
    }

    public String getAlipayRootCertContent() {
        return alipayRootCertContent;
    }

    public void setAlipayRootCertContent(String alipayRootCertContent) {
        this.alipayRootCertContent = alipayRootCertContent;
    }
}
